default[:java][:jdk_version] = 7
default[:appium][:version] = '1.3.4'
default[:ssh_keys] = []
default[:chef_client][:init_style] = 'launchd'
default[:chef_client][:task][:user] = Etc.getlogin
default[:terminal][:color_scheme] = 'Pro'
default['teamcity']['agents']['default']['name'] = Chef::Config[:node_name]
default['teamcity']['agents']['default']['server_url'] = ENV['BUILD_SERVER']
default['teamcity']['agents']['default']['user'] = Etc.getlogin
default['teamcity']['agents']['default']['system_dir'] = File.join(Dir.home(Etc.getlogin), 'teamcity')

#Setup system properties.
system_properties = default['teamcity']['agents']['default']['system_properties']
system_properties['has_nomad-cli_cupertino'] = true
system_properties['has_nomad-cli_shenzhen'] = true

# Sudo settings.
default[:authorization][:sudo][:passwordless] = true
default[:authorization][:sudo][:users] = [ node['teamcity']['agents']['default']['user'], Etc.getlogin ]
default[:authorization][:sudo][:agent_forwarding] = true

default[:gem][:nokogiri][:flags] = '-- --use-system-libraries -- --with-xml2-include=/usr/local/Cellar/libxml2/2.9.2/include/libxml2 --with-xml2-lib=/usr/local/Cellar/libxml2/2.9.2/lib --with-xslt-lib=/usr/local/lib --with-xslt-include=/usr/local/include'
