name 'foreflight_build_agent'
license "Apache 2.0"
maintainer "Daniel Jimenez"
maintainer_email "danielj@foreflight.com"
description 'This cookbook builds a Mac OS X TeamCity build agent with Dropbox, TextMate2, Java, Appium and Caucho\'s Resin installed. At the time of this writing it does require you to install either Xcode or the Xcode command line tools.'
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))

version '0.4.60'

depends 'homebrew'
depends 'java'
depends 'teamcity'
depends 'runit'
depends 'nodejs'
depends 'sprout-base'
depends 'sprout-osx-apps'
depends 'sprout-osx-settings'
depends 'osx'
depends 'sudo'
depends 'certificate'
depends 'dmg'
depends 'osx'
depends 'ssh-keys'
depends 'python'

supports 'mac_os_x'

recipe 'foreflight_build_agent', 'Installs / configures a Mac OS agent from a Teamcity server.'
