osx_defaults 'Ask for password when screen is locked' do
  domain 'com.apple.screensaver'
  key 'askForPassword'
  integer 1
end

osx_defaults 'Wait between screensaver and lock' do
  domain 'com.apple.screensaver'
  key 'askForPasswordDelay'
  float 300
end

execute 'disable screensaver' do
	user Etc.getlogin
	command 'defaults -currentHost write com.apple.screensaver idleTime -int 0'
	action :run
end

execute 'set display, disk and computer sleep times' do
  command 'pmset -a displaysleep 0 disksleep 0 sleep 0'
end